Bug 1721 - annoying shell script /etc/rc.d/init.d/functions
annoying shell script /etc/rc.d/init.d/functions
Status: CLOSED DUPLICATE of bug 1722
Product: Red Hat Linux
Classification: Retired
Component: aboot (Show other bugs)
5.2
All Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-23 19:38 EST by president
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-24 09:11:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description president 1999-03-23 19:38:41 EST
I really don't know why I should help since you guys seem
to becoming half MicroSoft and have open source in your
mentality, but just because you guys have been good in the
past, am I willing to help you fix a brain dead mistake.
You should check to see if $2 is equal to null first before
using it in /etc/rc.d/init.d/functions

Change
===============================
        else [ "$2" != "" ]
                pid=`ps auxww | grep '[^[]'$1 | awk '{print
$2}'`
                if [ "$pid" != "" ] ; then
                        echo "$1 $2 (pid $pid) is
running..."
                        return 0
                fi
        fi
===========================

to
=========================

        elseif [ "$2" != "" ]
                pid=`ps auxww | grep '[^[]'$1 | awk '{print
$2}'`
                if [ "$pid" != "" ] ; then
                        echo "$1 $2 (pid $pid) is
running..."
                        return 0
                fi
        fi
==========================
Comment 1 Bill Nottingham 1999-03-24 09:11:59 EST
*** This bug has been marked as a duplicate of 1722 ***

Note You need to log in before you can comment on or make changes to this bug.